Bug 205003 - (CVE-2006-3011) CVE-2006-3011 multiple PHP safe mode bypasses (CVE-2006-4481, CVE-2006-2563)
CVE-2006-3011 multiple PHP safe mode bypasses (CVE-2006-4481, CVE-2006-2563)
Status: CLOSED DUPLICATE of bug 169857
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
4.0
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
David Lawrence
source=cve,reported=20060626,public=2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-01 22:38 EDT by Josh Bressers
Modified: 2008-06-25 03:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-15 08:44:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-09-01 22:38:46 EDT
Several issues were discovered which can lead to a condition where the safe_mode
or open_basedir directives can be overridden.  It should be noted that neither
safe_mode or open_basedir are considered safe and are not suggested to be used
as security measures.

        CVE-2006-3011
        Added missing safe_mode/open_basedir checks inside the error_log()
        function
        http://www.securityfocus.com/archive/1/archive/1/438436/100/0/threaded
       
http://cvs.php.net/viewvc.cgi/php-src/ext/standard/basic_functions.c?r1=1.543.2.51.2.9&r2=1.543.2.51.2.10

        CVE-2006-4481
        Added missing safe_mode/open_basedir checks inside the file_exists(),
        imap_open() and imap_reopen() functions.
        http://bugs.php.net/bug.php?id=37265
        http://cvs.php.net/viewvc.cgi/php-src/ext/imap/php_imap.c?r1=1.217&r2=1.218

        CVE-2006-2563
        Fixed possible open_basedir/safe_mode bypass in cURL extension
        http://www.securityfocus.com/archive/1/archive/1/435194/100/0/threaded
       
http://cvs.php.net/viewcvs.cgi/php-src/ext/curl/interface.c?r1=1.62.2.14&r2=1.62.2.15
Comment 1 Josh Bressers 2006-09-01 22:40:10 EDT
These issues should also affect RHEL2.1 and RHEL3
Comment 2 Hamid Hashemi 2006-09-05 17:38:43 EDT
These issues also affect FC4
Comment 3 Joe Orton 2006-09-15 08:44:11 EDT
The issues covered here are all safe mode/open_basedir-related, so will not be
considered as security issues.

*** This bug has been marked as a duplicate of 169857 ***

Note You need to log in before you can comment on or make changes to this bug.